'Не удалось загрузить RSSupport: findLibrary возвратил null' при использовании RenderScript на эмуляторе 2.3

RenderScript не работает на эмуляторе Android 2.3.

04-04 15:37:39.146: W/dalvikvm(863): Unable to resolve superclass of Landroid/support/v8/renderscript/RenderScript$2; (316) 04-04 15:37:39.146: W/dalvikvm(863): Link of class 'Landroid/support/v8/renderscript/RenderScript$2;' failed 04-04 15:37:39.146: E/dalvikvm(863): Could not find class 'android.support.v8.renderscript.RenderScript$2', referenced from method android.support.v8.renderscript.RenderScript.setErrorHandler 04-04 15:37:39.146: W/dalvikvm(863): VFY: unable to resolve new-instance 890 (Landroid/support/v8/renderscript/RenderScript$2;) in Landroid/support/v8/renderscript/RenderScript; 04-04 15:37:39.146: D/dalvikvm(863): VFY: replacing opcode 0x22 at 0x0009 04-04 15:37:39.146: D/dalvikvm(863): VFY: dead code 0x000b-0012 in Landroid/support/v8/renderscript/RenderScript;.setErrorHandler (Landroid/support/v8/renderscript/RenderScript$RSErrorHandler;)V 04-04 15:37:39.146: W/dalvikvm(863): Unable to resolve superclass of Landroid/support/v8/renderscript/RenderScript$1; (317) 04-04 15:37:39.146: W/dalvikvm(863): Link of class 'Landroid/support/v8/renderscript/RenderScript$1;' failed 04-04 15:37:39.146: E/dalvikvm(863): Could not find class 'android.support.v8.renderscript.RenderScript$1', referenced from method android.support.v8.renderscript.RenderScript.setMessageHandler 04-04 15:37:39.146: W/dalvikvm(863): VFY: unable to resolve new-instance 889 (Landroid/support/v8/renderscript/RenderScript$1;) in Landroid/support/v8/renderscript/RenderScript; 04-04 15:37:39.156: D/dalvikvm(863): VFY: replacing opcode 0x22 at 0x0009 04-04 15:37:39.156: D/dalvikvm(863): VFY: dead code 0x000b-0012 in Landroid/support/v8/renderscript/RenderScript;.setMessageHandler (Landroid/support/v8/renderscript/RenderScript$RSMessageHandler;)V 04-04 15:37:39.156: E/RenderScript_jni(863): No GC methods 04-04 15:37:39.166: W/dalvikvm(863): threadid=1: thread exiting with uncaught exception (group=0x40015560) 04-04 15:37:39.166: W/System.err(863): android.support.v8.renderscript.RSRuntimeException: Error loading RS jni library: java.lang.UnsatisfiedLinkError: Couldn't load RSSupport: findLibrary returned null 04-04 15:37:39.176: W/System.err(863): at android.support.v8.renderscript.RenderScript.create(RenderScript.java:945) 04-04 15:37:39.176: W/System.err(863): at android.support.v8.renderscript.RenderScript.create(RenderScript.java:982) 04-04 15:37:39.176: W/System.err(863): at android.support.v8.renderscript.RenderScript.create(RenderScript.java:968) 

Я использую библиотеку поддержки RenderScript с SDK Tools 22.6.2, Build-tools 19.0.3 . Он хорошо работает на устройстве 4.1 и даже на устройстве 2.3.

project.properties

 target=android-19 renderscript.target=19 renderscript.support.mode=true sdk.buildtools=19.0.3 

Я попытался снизить версию Build-tools, но проект не будет построен с RenderScript support mode requires Build-Tools 19.0.3 or later. ошибка.

Если я .so файлы .so в каталог libs , он начинает жаловаться на дублированный файл.

Error generating final archive: Found duplicate file for APK: lib/armeabi-v7a/librsjni.so

Я новичок в использовании RenderScript. Какие-либо предложения?

Это означает, что суперкласс недоступен для 2.3. Проверьте, работает ли на Android 2.2 и ниже, если нет, то это означает, что проблема с библиотекой sipport. Это нужно будет проверить с помощью доступных библиотек поддержки Android.